# Configuration file

####################
# client
#===================
# These options are client only.
# Check here for key codes for the config: http://www.minecraftwiki.net/wiki/Key_codes
####################

client {
    # Allow the mod to override player hand rendering?
    # 0 = No
    # 1 = Yes
    I:handRenderOverride=1

    # Key Code to close the selector.
    # Default: 1 (Esc)
    I:keySelectorCancel=1

    # Key Code to go down on the selector
    # Default: 27 (])
    I:keySelectorDown=27

    # Key required to hold to use down key on the selector
    # 0 = None
    # 1 = Shift
    # 2 = Ctrl
    # 3 = Alt
    # Default: 0
    I:keySelectorDownHold=0

    # Key Code to go left on the selector
    # Default: 26 ([)
    I:keySelectorLeft=26

    # Key required to hold to use left key on the selector
    # 0 = None
    # 1 = Shift
    # 2 = Ctrl
    # 3 = Alt
    # Default: 1
    I:keySelectorLeftHold=1

    # Key Code to remove morph on the selector.
    # Delete also works by default
    # Default: 14 (Backspace)
    I:keySelectorRemoveMorph=14

    # Key Code to go right on the selector
    # Default: 27 (])
    I:keySelectorRight=27

    # Key required to hold to use right key on the selector
    # 0 = None
    # 1 = Shift
    # 2 = Ctrl
    # 3 = Alt
    # Default: 1
    I:keySelectorRightHold=1

    # Key Code to select morph on the selector.
    # Default: 28 (Enter/Return)
    I:keySelectorSelect=28

    # Key Code to go up on the selector
    # Default: 26 ([)
    I:keySelectorUp=26

    # Key required to hold to use up key on the selector
    # 0 = None
    # 1 = Shift
    # 2 = Ctrl
    # 3 = Alt
    # Default: 0
    I:keySelectorUpHold=0

    # Show the abilities the morph has in the GUI?
    # 0 = No
    # 1 = Yes
    I:showAbilitiesInGui=1
}


####################
# gameplay
#===================
# These options affect the gameplay while using the mod.
####################

gameplay {
    # Enable abilities?
    # 0 = No
    # 1 = Yes
    I:abilities=1

    # Allow the mod to randomly track mobs to scan for abilities?
    # WARNING: This is not 100% accurate, and is provided "as is". It may or may not give mod mobs the right abilities.
    # May or may not be resource intensive, most likely not.
    # 0 = No
    # 1 = Yes
    I:abilityTracker=1

    # Requested by SoundLogic
    # Can you open the morph GUI?
    # 0 = No
    # 1 = Yes
    I:allowMorphSelection=1

    # Can you morph into bosses?
    # 0 = No
    # 1 = Yes
    I:bossMorphs=0

    # Can you sleep while morphed?
    # 0 = No
    # 1 = Yes
    I:canSleepMorphed=0

    # Can you morph into child mobs?
    # Disabled by default due to improper morph transitions
    # 0 = No
    # 1 = Yes
    I:childMorphs=0

    # Hostile Ability Distance Check for Hostile Ability Mode 4
    # You have to be *this* close before hostile mobs know you are not one of them.
    # Default: 6
    I:hostileAbilityDistanceCheck=6

    # Hostile Ability Modes
    # 0 = Off, hostile mobs attack you despite being morphed.
    # 1 = Hostile mobs do not attack you if you are a hostile mob.
    # 2 = Hostile mobs of different types do not attack you if you are a hostile mob but hostile mobs of the same kind do.
    # 3 = Hostile mobs of the same type do not attack you but hostile mobs of other types attack you.
    # 4 = Hostile mobs have a decreased detection range around you.
    # If you'd like to turn on Hostile Ability, I'd recommend Mode 2 (personal preference)
    I:hostileAbilityMode=0

    # Will you insta-morph into a new morph acquired?
    # 0 = No
    # 1 = Yes
    I:instaMorph=1

    # Will you lose all your morphs on death?
    # 0 = No
    # 1 = Yes
    I:loseMorphsOnDeath=0

    # Can you morph into players?
    # 0 = No
    # 1 = Yes
    I:playerMorphs=1
}


